<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: include/platform/logging.h File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d5/d77/logging_8h.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">logging.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This file includes the platform abstraction for the debug log service.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for logging.h:</div>
<div class="dyncontent">
<div class="center"><img src="../../dc/d60/logging_8h__incl.png" border="0" usemap="#include_2platform_2logging_8h" alt=""/></div>
<map name="include_2platform_2logging_8h" id="include_2platform_2logging_8h">
<area shape="rect" id="node2" href="../../df/dd8/stdint_8h_source.html" title="stdint.h" alt="" coords="60,79,124,104"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/dcc/logging_8h__dep__incl.png" border="0" usemap="#include_2platform_2logging_8hdep" alt=""/></div>
<map name="include_2platform_2logging_8hdep" id="include_2platform_2logging_8hdep">
<area shape="rect" id="node2" href="../../db/d13/cli__uart_8cpp.html" title="This file implements the CLI server on the UART service. " alt="" coords="5,159,133,184"/>
<area shape="rect" id="node3" href="../../dd/daf/logging_8cpp.html" title="This file implements the tasklet scheduler. " alt="" coords="106,79,301,104"/>
<area shape="rect" id="node4" href="../../d0/da9/logging_8hpp.html" title="This file includes functions for debugging. " alt="" coords="2587,79,2783,104"/>
<area shape="rect" id="node31" href="../../d4/dae/ncp__uart_8cpp.html" title="This file contains definitions for a UART based NCP interface to the OpenThread stack. " alt="" coords="484,79,630,104"/>
<area shape="rect" id="node32" href="../../dd/d83/cli-uart_8h.html" title="This file defines the top&#45;level functions for the OpenThread CLI server. " alt="" coords="326,79,460,104"/>
<area shape="rect" id="node5" href="../../d8/d6a/message_8cpp.html" title="This file implements the message buffer pool and message buffers. " alt="" coords="156,159,363,184"/>
<area shape="rect" id="node6" href="../../dc/de5/timer_8cpp.html" title="This file implements a multiplexed timer service on top of the alarm abstraction. ..." alt="" coords="386,159,568,184"/>
<area shape="rect" id="node7" href="../../d4/dd9/mac_8cpp.html" title="This file implements the subset of IEEE 802.15.4 primitives required for Thread. " alt="" coords="592,159,744,184"/>
<area shape="rect" id="node8" href="../../d3/dd0/announce__begin__client_8cpp.html" title="This file implements the Announce Begin Client. " alt="" coords="768,152,957,191"/>
<area shape="rect" id="node9" href="../../d7/d69/commissioner_8cpp.html" title="This file implements a Commissioner role. " alt="" coords="981,159,1218,184"/>
<area shape="rect" id="node10" href="../../d2/d47/dtls_8cpp.html" title="This file implements the necessary hooks for mbedTLS. " alt="" coords="1242,159,1418,184"/>
<area shape="rect" id="node11" href="../../dd/d3b/energy__scan__client_8cpp.html" title="This file implements the Energy Scan Client. " alt="" coords="1442,152,1613,191"/>
<area shape="rect" id="node12" href="../../d4/d64/joiner_8cpp.html" title="This file implements the Joiner role. " alt="" coords="1637,159,1824,184"/>
<area shape="rect" id="node13" href="../../db/dc3/joiner__router_8cpp.html" title="This file implements the Joiner Router role. " alt="" coords="1848,152,2010,191"/>
<area shape="rect" id="node14" href="../../d7/d02/leader_8cpp.html" title="This file implements a MeshCoP Leader. " alt="" coords="2034,159,2226,184"/>
<area shape="rect" id="node15" href="../../d5/de7/panid__query__client_8cpp.html" title="This file implements the PAN ID Query Client. " alt="" coords="2250,152,2413,191"/>
<area shape="rect" id="node16" href="../../df/d5b/icmp6_8cpp.html" title="This file implements ICMPv6. " alt="" coords="2437,159,2592,184"/>
<area shape="rect" id="node17" href="../../d5/d8d/ip6_8cpp.html" title="This file implements IPv6 networking. " alt="" coords="2616,159,2754,184"/>
<area shape="rect" id="node18" href="../../da/d60/openthread_8cpp.html" title="This file implements the top&#45;level interface to the OpenThread stack. " alt="" coords="2778,159,2944,184"/>
<area shape="rect" id="node19" href="../../de/d27/address__resolver_8cpp.html" title="This file implements Thread&#39;s EID&#45;to&#45;RLOC mapping and caching. " alt="" coords="2967,152,3128,191"/>
<area shape="rect" id="node20" href="../../d4/d67/announce__begin__server_8cpp.html" title="This file implements the Announce Begin Server. " alt="" coords="3152,152,3325,191"/>
<area shape="rect" id="node21" href="../../da/d6e/energy__scan__server_8cpp.html" title="This file implements the Energy Scan Server. " alt="" coords="3349,152,3504,191"/>
<area shape="rect" id="node22" href="../../df/d6b/mesh__forwarder_8cpp.html" title="This file implements mesh forwarding of IPv6/6LoWPAN messages. " alt="" coords="3528,152,3674,191"/>
<area shape="rect" id="node23" href="../../df/d42/meshcop__dataset__manager_8cpp.html" title="This file implements MeshCoP Datasets manager to process commands. " alt="" coords="3698,152,3866,191"/>
<area shape="rect" id="node24" href="../../d1/df9/mle_8cpp.html" title="This file implements MLE functionality required for the Thread Child, Router and Leader roles..." alt="" coords="3890,159,4051,184"/>
<area shape="rect" id="node25" href="../../d9/d88/mle__router_8cpp.html" title="This file implements MLE functionality required for the Thread Router and Leader roles. " alt="" coords="4075,152,4210,191"/>
<area shape="rect" id="node26" href="../../d9/d20/network__data_8cpp.html" title="This file implements common methods for manipulating Thread Network Data. " alt="" coords="4234,152,4395,191"/>
<area shape="rect" id="node27" href="../../d0/d0f/network__data__leader_8cpp.html" title="This file implements the Thread Network Data managed by the Thread Leader. " alt="" coords="4418,152,4579,191"/>
<area shape="rect" id="node28" href="../../dd/d90/network__data__local_8cpp.html" title="This file implements the local Thread Network Data. " alt="" coords="4602,152,4763,191"/>
<area shape="rect" id="node29" href="../../d1/da2/network__diag_8cpp.html" title="This file implements Thread&#39;s Network Diagnostic processing. " alt="" coords="4786,152,4947,191"/>
<area shape="rect" id="node30" href="../../d1/d58/panid__query__server_8cpp.html" title="This file implements the PAN ID Query Server. " alt="" coords="4970,152,5117,191"/>
</map>
</div>
</div>
<p><a href="../../d5/d77/logging_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga417046f666e1f37898d76194c100172e"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><b>OPENTHREAD_LOG_LEVEL_NONE</b>&#160;&#160;&#160;0</td></tr>
<tr class="separator:ga417046f666e1f37898d76194c100172e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3f3394352ece4ef6dca78ae39b36d681"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><b>OPENTHREAD_LOG_LEVEL_CRIT</b>&#160;&#160;&#160;1</td></tr>
<tr class="separator:ga3f3394352ece4ef6dca78ae39b36d681"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1036ce6837f06ff7cec8335003d699c0"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><b>OPENTHREAD_LOG_LEVEL_WARN</b>&#160;&#160;&#160;2</td></tr>
<tr class="separator:ga1036ce6837f06ff7cec8335003d699c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf1aaf4b31af0caca1d066d702d85c470"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><b>OPENTHREAD_LOG_LEVEL_INFO</b>&#160;&#160;&#160;3</td></tr>
<tr class="separator:gaf1aaf4b31af0caca1d066d702d85c470"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga489e4b93b18d8c2b5613020f4563239c"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><b>OPENTHREAD_LOG_LEVEL_DEBG</b>&#160;&#160;&#160;4</td></tr>
<tr class="separator:ga489e4b93b18d8c2b5613020f4563239c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:gabb9575d6dac7e47be5da966032637c8a"><td class="memItemLeft" align="right" valign="top">
typedef enum <a class="el" href="../../d8/dff/group__logging.html#ga84a41d6b28556e61b4dd8b508472ab13">otLogLevel</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dff/group__logging.html#gabb9575d6dac7e47be5da966032637c8a">otLogLevel</a></td></tr>
<tr class="memdesc:gabb9575d6dac7e47be5da966032637c8a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This enum represents different log levels. <br /></td></tr>
<tr class="separator:gabb9575d6dac7e47be5da966032637c8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga808e7871ed75a73318c4228f404486e0"><td class="memItemLeft" align="right" valign="top">
typedef enum <a class="el" href="../../d8/dff/group__logging.html#gaee25d56d067df60b93f75b2ff587668c">otLogRegion</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dff/group__logging.html#ga808e7871ed75a73318c4228f404486e0">otLogRegion</a></td></tr>
<tr class="memdesc:ga808e7871ed75a73318c4228f404486e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">This enum represents log regions. <br /></td></tr>
<tr class="separator:ga808e7871ed75a73318c4228f404486e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:ga84a41d6b28556e61b4dd8b508472ab13"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dff/group__logging.html#ga84a41d6b28556e61b4dd8b508472ab13">otLogLevel</a> { <br />
&#160;&#160;<a class="el" href="../../d8/dff/group__logging.html#gga84a41d6b28556e61b4dd8b508472ab13afb8e284fd66ce9718329269ebaeaabe8">kLogLevelNone</a> = OPENTHREAD_LOG_LEVEL_NONE, 
<br />
&#160;&#160;<a class="el" href="../../d8/dff/group__logging.html#gga84a41d6b28556e61b4dd8b508472ab13af45a26061cae3ea018c9ffa38c618184">kLogLevelCrit</a> = OPENTHREAD_LOG_LEVEL_CRIT, 
<br />
&#160;&#160;<a class="el" href="../../d8/dff/group__logging.html#gga84a41d6b28556e61b4dd8b508472ab13aa1472fcc1b367484457985649393ca92">kLogLevelWarn</a> = OPENTHREAD_LOG_LEVEL_WARN, 
<br />
&#160;&#160;<a class="el" href="../../d8/dff/group__logging.html#gga84a41d6b28556e61b4dd8b508472ab13a407a207057113bdbf53c0fa100c9d8b3">kLogLevelInfo</a> = OPENTHREAD_LOG_LEVEL_INFO, 
<br />
&#160;&#160;<a class="el" href="../../d8/dff/group__logging.html#gga84a41d6b28556e61b4dd8b508472ab13a7492b236935c85a415a18cb9a1e21364">kLogLevelDebg</a> = OPENTHREAD_LOG_LEVEL_DEBG
<br />
 }<tr class="memdesc:ga84a41d6b28556e61b4dd8b508472ab13"><td class="mdescLeft">&#160;</td><td class="mdescRight">This enum represents different log levels.  <a href="../../d8/dff/group__logging.html#ga84a41d6b28556e61b4dd8b508472ab13">More...</a><br /></td></tr>
</td></tr>
<tr class="separator:ga84a41d6b28556e61b4dd8b508472ab13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaee25d56d067df60b93f75b2ff587668c"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dff/group__logging.html#gaee25d56d067df60b93f75b2ff587668c">otLogRegion</a> { <br />
&#160;&#160;<a class="el" href="../../d8/dff/group__logging.html#ggaee25d56d067df60b93f75b2ff587668ca49870e7e5fcd118dd5ed67af31be7e3b">kLogRegionApi</a> = 1, 
<br />
&#160;&#160;<a class="el" href="../../d8/dff/group__logging.html#ggaee25d56d067df60b93f75b2ff587668caf346c93d0979773b1c4dc1a071d7763e">kLogRegionMle</a> = 2, 
<br />
&#160;&#160;<a class="el" href="../../d8/dff/group__logging.html#ggaee25d56d067df60b93f75b2ff587668ca4ae7bdeb925a623fdc2c86ce37ce19ba">kLogRegionArp</a> = 3, 
<br />
&#160;&#160;<a class="el" href="../../d8/dff/group__logging.html#ggaee25d56d067df60b93f75b2ff587668ca9d9bd5a9bb628d750079a1afa5c67897">kLogRegionNetData</a> = 4, 
<br />
&#160;&#160;<a class="el" href="../../d8/dff/group__logging.html#ggaee25d56d067df60b93f75b2ff587668caabd0f54f25492e4b2ad3282777761eed">kLogRegionIcmp</a> = 5, 
<br />
&#160;&#160;<a class="el" href="../../d8/dff/group__logging.html#ggaee25d56d067df60b93f75b2ff587668ca23282f221d40e51b9bdc1124299ab418">kLogRegionIp6</a> = 6, 
<br />
&#160;&#160;<a class="el" href="../../d8/dff/group__logging.html#ggaee25d56d067df60b93f75b2ff587668ca5b3b119a4abb512caab4e00735f70f7e">kLogRegionMac</a> = 7, 
<br />
&#160;&#160;<a class="el" href="../../d8/dff/group__logging.html#ggaee25d56d067df60b93f75b2ff587668cae041e0188420de65f4e0514452bd707d">kLogRegionMem</a> = 8, 
<br />
&#160;&#160;<a class="el" href="../../d8/dff/group__logging.html#ggaee25d56d067df60b93f75b2ff587668ca7ca6af65ae617ccab42ec8174d68ebcd">kLogRegionNcp</a> = 9, 
<br />
&#160;&#160;<a class="el" href="../../d8/dff/group__logging.html#ggaee25d56d067df60b93f75b2ff587668ca2e24c126abad883195527cc62c8d907b">kLogRegionMeshCoP</a> = 10, 
<br />
&#160;&#160;<a class="el" href="../../d8/dff/group__logging.html#ggaee25d56d067df60b93f75b2ff587668caae978914f3d7b4f4cbc77db1dfb347c0">kLogRegionNetDiag</a> = 11
<br />
 }<tr class="memdesc:gaee25d56d067df60b93f75b2ff587668c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This enum represents log regions.  <a href="../../d8/dff/group__logging.html#gaee25d56d067df60b93f75b2ff587668c">More...</a><br /></td></tr>
</td></tr>
<tr class="separator:gaee25d56d067df60b93f75b2ff587668c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gada6f3e6235ef97eb169bccb45755fd5a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dff/group__logging.html#gada6f3e6235ef97eb169bccb45755fd5a">otPlatLog</a> (<a class="el" href="../../d8/dff/group__logging.html#ga84a41d6b28556e61b4dd8b508472ab13">otLogLevel</a> aLogLevel, <a class="el" href="../../d8/dff/group__logging.html#gaee25d56d067df60b93f75b2ff587668c">otLogRegion</a> aLogRegion, const char *aFormat,...)</td></tr>
<tr class="memdesc:gada6f3e6235ef97eb169bccb45755fd5a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function outputs logs.  <a href="../../d8/dff/group__logging.html#gada6f3e6235ef97eb169bccb45755fd5a">More...</a><br /></td></tr>
<tr class="separator:gada6f3e6235ef97eb169bccb45755fd5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This file includes the platform abstraction for the debug log service. </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="../../dir_ac186d3e8926949364e5821f25491cc3.html">platform</a></li><li class="navelem"><a class="el" href="../../d5/d77/logging_8h.html">logging.h</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:34 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
